Loading...
Searching...
No Matches
osmo_rlp_frame_decoded Struct Reference
GSM RLP (Radio Link Protocol) as used in CSD (3GPP TS 24.022)

Data structure representing one decoded RLP frame. More...

`#include <rlp.h>`

## Data Fields

uint8_t | version
enum osmo_rlp_ftype | ftype
enum osmo_rlp_u_ftype | u_ftype
enum osmo_rlp_s_ftype | s_ftype
bool | c_r
bool | p_f
uint8_t | s_bits
uint16_t | n_s
uint16_t | n_r
uint32_t | fcs
uint8_t | info [536/8]
uint16_t | info_len

## Detailed Description

Data structure representing one decoded RLP frame.

## Field Documentation

## c_r

bool osmo_rlp_frame_decoded::c_r

Referenced by osmo_rlp_decode().

## fcs

uint32_t osmo_rlp_frame_decoded::fcs

Referenced by osmo_rlp_decode().

## ftype

enum osmo_rlp_ftype osmo_rlp_frame_decoded::ftype

Referenced by osmo_rlp_decode().

## info

uint8_t osmo_rlp_frame_decoded::info[536/8]

Referenced by osmo_rlp_decode().

## info_len

uint16_t osmo_rlp_frame_decoded::info_len

Referenced by osmo_rlp_decode().

## n_r

uint16_t osmo_rlp_frame_decoded::n_r

Referenced by osmo_rlp_decode().

## n_s

uint16_t osmo_rlp_frame_decoded::n_s

Referenced by osmo_rlp_decode().

## p_f

bool osmo_rlp_frame_decoded::p_f

Referenced by osmo_rlp_decode().

## s_bits

uint8_t osmo_rlp_frame_decoded::s_bits

## s_ftype

enum osmo_rlp_s_ftype osmo_rlp_frame_decoded::s_ftype

Referenced by osmo_rlp_decode().

## u_ftype

enum osmo_rlp_u_ftype osmo_rlp_frame_decoded::u_ftype

Referenced by osmo_rlp_decode().

## version

uint8_t osmo_rlp_frame_decoded::version

Referenced by osmo_rlp_decode().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/rlp.h